Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to sort out updating server software to fix some found security issues, but before I do, I need to make sure that this won't affect the website that's currently running. I know for example updating PHP can cause issues with deprecated function use. I'm doing this on a server that I have had no previous involvement with, so I cannot account for code quality and am doing a separate review for PHP.

Does updating Apache have a similar potential problems? we'll be updating from Apache 2.2.11?

share|improve this question
1  
This is where your testbed comes into play. –  al. May 8 '12 at 15:19
    
Just test it and you'll see. There's no other way. –  gparent May 8 '12 at 15:19
    
It would help to know what OS you are using, what version of Apache are you at, and what version of Apache are you moving too? Are you staying with the vendor-maintained packages? (A yum update on RedHat systems typically isn't a big deal) –  Stefan Lasiewski May 8 '12 at 15:40
    
I've been dumped into the middle of this legacy project. there is no testbed at the moment. –  Aninemity May 8 '12 at 19:17
add comment

2 Answers

up vote 4 down vote accepted

If you running 2.2.x branch and updating to same branch then it should be fairly safe to do so, if you're updating it to 2.4.x then I'd look closer to Changelog, but whatever the case the best thing to do is TEST it and don't do it on live (production) system.

share|improve this answer
add comment

There is no way to be sure unless you test your software on a separate system running the newer version of Apache.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.